var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import assert from 'assert';
import * as OracleServer from '../index';
const TEST_MESSAGE = 'test message';
// await only likes to be used in async functions
export function noinputTests() {
    return __awaiter(this, void 0, void 0, function* () {
        yield OracleServer.GetPublicKey().then(r => {
            console.debug('GetPublicKey() response:', r);
            assert(r.result);
            assert.ifError(r.error);
        });
        yield OracleServer.GetStakingAddress().then(r => {
            console.debug('GetStakingAddress() response:', r);
            assert(r.result);
            assert.ifError(r.error);
        });
        yield OracleServer.SignMessage(TEST_MESSAGE).then(r => {
            console.debug('SignMessage() response:', r);
            assert(r.result);
            assert.ifError(r.error);
        });
        yield OracleServer.ListAnnouncements().then(r => {
            console.debug('ListAnnouncements() response:', r);
            assert(r.result);
            assert.ifError(r.error);
        });
        yield OracleServer.GetOracleName().then(r => {
            console.debug('GetOracleName() response:', r);
            assert(r.result);
            assert.ifError(r.error);
        });
    });
}
//# sourceMappingURL=noinput-tests.js.map